Welcome, Guest
Username: Password: Remember me

TOPIC: Xampp for Joomla 1.5

Xampp for Joomla 1.5 4 years 2 weeks ago #7236

  • jennymac
  • jennymac's Avatar
  • Offline
  • Senior Boarder
  • Posts: 74
  • Thank you received: 2
It's a long story that involves someone (aka me!) fiddling where she should not have :(
Does anyone have a copy of xampp that has a version of PHP connected to it that will allow me to install and run a Joomla 1.5 site locally? I hope I have asked the right question the right way.
Blessings
Jenny
Jenny McWilliam
The administrator has disabled public write access.

Xampp for Joomla 1.5 4 years 2 weeks ago #7237

Hi Jen, It depends exactly which 1.5 version you have. You should find this in the Joomla CHANGELOG file
JoomlaDirectory\CHANGELOG.php

Look for the line looks something like eg "
1.5.26 Stable Release [27-March-2012]
"

Some ideas for you to play with:
www.complete-concrete-concise.com/joomla...omla-1-5-under-xampp

For example, if you want pre-PHP5.3 changes, you can try version 1.7.1 of XAMP from the sourceforge archive which has all versions of XAMP, you just need to know exactly which version matches your Joomla version:
sourceforge.net/projects/xampp/files/XAMPP%20Windows/1.7.1/

I guess xampp-win32-1.7.1-installer.exe or xampplite-win32-1.7.1.exe will be the files you want to download to install XAMP.

(According to stackoverflow.com/questions/17375992/old...on-of-php-with-xampp, 1.7.1 Xamp comes with PHP 5.2.17, which is before the PHP 5.3 changes, which I'm assuming is your main limitation.)

If this doesn't work I have an old laptop in the garage that has an old XAMP installer on it, which will be for older 1.5 (pre-PHP5.3) sites.... I'll dig it out if you can't get it going.

Otherwise, if PHP 5.3 isn't your issue, there are some configuration changes you can make described here that should get you going with the more recent 1.5.x versions that are PHP 5.3 compatible:
forum.joomla.org/viewtopic.php?t=739049

I have a similar requirement so let me know how you go! All the best!

Mark
The administrator has disabled public write access.

Xampp for Joomla 1.5 4 years 2 weeks ago #7238

  • jennymac
  • jennymac's Avatar
  • Offline
  • Senior Boarder
  • Posts: 74
  • Thank you received: 2
Hi Mark,
thank you so much for that info. I will check it out and keep you posted.
I think I had Joomla 1.5.26, but all I can see at the moment are my Akeeba backups, so no idea about the change log.I am sure it will all fall into place as I start to fiddle (although didn't that get me in this mess in the first place????) It cannot get any worse that what I have so I'll give it a go.
Blessings
Jenny
Jenny McWilliam
The administrator has disabled public write access.

Xampp for Joomla 1.5 4 years 2 weeks ago #7239

  • tuum
  • tuum's Avatar
  • Offline
  • Moderator
  • Posts: 192
  • Thank you received: 60
You can run Joomla 1.5 on any of the current XAMPP versions, however you will need to adjust the error reporting settings in your php.ini to hide all the strict warnings as Joomla 1.5 is not PHP strict complaint. Also set display_errors = Off in your php.ini and then restart apache, and then your site should work.

regards

Tim
Follow me on twitter twitter.com/bfsurvey
The administrator has disabled public write access.
Time to create page: 0.041 seconds
Powered by Kunena Forum